# -*- encoding: utf-8 -*-
# stub: so-pretty 1.0.1 ruby lib/

Gem::Specification.new do |s|
  s.name = "so-pretty".freeze
  s.version = "1.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib/".freeze]
  s.authors = ["Brett Nakashima".freeze]
  s.date = "2018-09-27"
  s.description = "A gem to pretty print anything.  Currently supports input formats:\n\n- ruby (.inspect formatted)\n- yaml\n- json\n\nAnd will auto-detect input type, though you can force detection.\n\nOutputs yaml by default, but can output ruby, yaml, or json.  Input streams\nor files may be compressed with zlib/deflate, however, gzip is not currently\nsupported.\n".freeze
  s.email = ["brettnak@gmail.com".freeze]
  s.executables = ["so-pretty".freeze, "sp".freeze]
  s.files = ["bin/so-pretty".freeze, "bin/sp".freeze]
  s.homepage = "http://gitlab.com/brettnak/pretty".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "SoPretty print anything".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<awesome_print>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<awesome_print>.freeze, [">= 0"])
  end
end
